LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XContentIdentifierFactory Interface Referencepublished

A factory for content identifiers. More...

`import"XContentIdentifierFactory.idl";`

Inheritance diagram for XContentIdentifierFactory:

## Public Member Functions
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A factory for content identifiers.

Version
  1.0

Author
  Kai Sommerfeld

See Also
  XContentIdentifier

Developers Guide
  UCB - Accessing a UCB Content

## Member Function Documentation

com::sun::star::ucb::XContentIdentifier createContentIdentifier | ( | [in] string | ContentId | ) |

creates an identifier.

Parameters

  ContentId | the content identifier string.

Returns
  the identifier.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentIdentifierFactory.idl